# Method: accounts.adclients.adunits.get

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#body.response_body)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits/get#try-it)

Gets an ad unit from a specified account and ad client.

### HTTP request

`GET https://adsense.googleapis.com/v2/{name=accounts/*/adclients/*/adunits/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. AdUnit to get information about. Format: accounts/{account}/adclients/{adclient}/adunits/{adunit} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/adsense/management/reference/rest/v2/accounts.adclients.adunits#AdUnit`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`